
Figure - Bug #118062
【IOVDEV-28893】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【音频播放器】点击分享功能，
会闪现小窗口模式
2023-05-18 18:32 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-18

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0080.x101����【副屏版本号】：01.00.0095.c103

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 由于Music启动ResolverAcitivity的时候没有新起一个Task,导致启动微信小窗的时候也会放到Music的Task中,会把Music也设置成小窗模式

Description

【环境信息】EE环境

【问题出现时间】：20230517 18:17

【前提条件】：副屏上电

【操作步骤】

1.音频播放器，选择歌曲分享至微信

【实际结果】

1.微信页面显示前会闪现音频播放器的小窗模式

【期望结果】

1.选择歌曲分享至微信状态不应闪现小窗模式

【应用版本】：

【VIN号】：LJD8BB3F0P0000341

【中控版本号】：03.02.0080.x101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-18 18:33 - CDTS_Test 吴诗雨

视频播放器也是相同的情况

#2 - 2023-05-18 21:27 - CDTS_Test 吴诗雨

- Priority changed from Normal to High

- Severity changed from Normal to Major

#3 - 2023-05-19 13:43 - CDTS_Test 吴诗雨

- File 视频播放器-分享01.mp4 added

- File 微信分享页面.jpg added
#4 - 2023-05-19 19:27 - CD FW-鲁凯峰

- Root cause set to 由于Music启动ResolverAcitivity的时候没有新起一个Task,导致启动微信小窗的时候也会放到Music的Task中,会把Music也设置成小窗模式

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是由于Music启动ResolverAcitivity的时候没有新起一个Task,导致启动微信小窗的时候也会放到Music的Task中,会把Music也设置成小窗模式

解决问题的方法是在Music启动ResolverAcitivity新建一个Task来处理相关的activity就可以了

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/201477

#5 - 2023-05-19 19:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201477 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:Music: add NEW_TASK flagadd NEW_TASK flag when start resolver activityTC-RID: 1201-0301201IssueID: TS-R-BUG-118062Change-Id:

I5b811b4ae89e6644f0e0d00f83e0bac5d4b51f85

#6 - 2023-05-19 19:51 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

#7 - 2023-05-23 19:46 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#8 - 2023-05-23 19:47 - CDTS_Test 吴诗雨

验证通过，0521DB

#9 - 2023-05-23 21:27 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

音频播放器-分享.mp4 3.95 MB 2023-05-18 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000002871_000233_0517182403.tar.gz47.4 MB 2023-05-18 CDTS_Test 吴诗雨

视频播放器-分享01.mp4 5.83 MB 2023-05-19 CDTS_Test 吴诗雨

微信分享页面.jpg 93.5 KB 2023-05-19 CDTS_Test 吴诗雨
